package com.objis.demospringmvc.test;

import java.util.List;

import org.springframework.test.AbstractDependencyInjectionSpringContextTests;

import com.objis.springmvcdemo.domaine.Employe;
import com.objis.springmvcdemo.service.EmployeManager;

public class IntegrationTest1 extends AbstractDependencyInjectionSpringContextTests{

	protected String[] getConfigLocations() {
		return new String[] {
		"file:src/main/webContent/WEB-INF/objisapp-service.xml",
		"file:src/main/webContent/WEB-INF/objisapp-data.xml"
		};
		}
	public void testAddEmploye() throws Exception {
		EmployeManager manager = (EmployeManager) applicationContext.getBean("rantService");
		Employe employe1 = new Employe(1,"douglas","objis","Douglas","MBIANDOU","douglas.mbiandou@objis.com","manager");
		manager.createEmployes();
		List<Employe> employes = manager.getAllEmployes();
		assertTrue(employes.contains(employe1));
		}
}
